Bug 731227 - Glade 3.8 (GTK2 version) not available
Summary: Glade 3.8 (GTK2 version) not available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glade3
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Huzaifa S. Sidhpurwala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 04:05 UTC by Tristan Brindle
Modified: 2012-04-18 23:06 UTC (History)
5 users (show)

Fixed In Version: glade-3.12.0-3.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-18 23:06:51 UTC


Attachments (Terms of Use)

Description Tristan Brindle 2011-08-17 04:05:57 UTC
The Fedora 15 repos contain Glade 3.10, the GTK3 version of the GUI builder Unfortunately this version can't be used for GTK2 development.

For that reason, the Glade developers released Glade 3.8 at the same time as 3.10, making both parallel-installable [1]

However, Glade 3.8 isn't available in the Fedora repos, thus making life unnecessarily painful for developers who need to work with GTK2 code [2].

Would it be possible to get Glade 3.8 packaged and in to Fedora?



[1] http://blogs.gnome.org/tvb/2011/01/15/the-glade-dl/

[2] http://blogs.cofc.edu/mitchenerg/2011/06/27/haskell-gtk-glade-on-fedora-15/

Comment 1 Tristan Brindle 2011-09-05 08:50:09 UTC
Looking at this a bit more, it seems that (from reading the first link above), the RPM for the GTK2 version should be named

glade3-3.8.0.<etc>

whereas the RPM for the GTK3 version should be named

glade-3.10.0.<etc>

which prevent them from conflicting, and be consistent with the executable names contained therein.

It's unfortunate that a mistake seems to have been made with this in Fedora 15, is it possible for it to be corrected?

Comment 2 Kalev Lember 2012-04-13 21:54:11 UTC
Hi, thanks for reporting this and sorry for the long delay. If it is any help, Fedora 17 will have the gtk2 version available again using the naming scheme you proposed in comment #1.

Comment 3 Fedora Update System 2012-04-13 21:55:57 UTC
glade-3.12.0-3.fc17, glade3-3.8.2-1.fc17, anjuta-3.4.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/glade-3.12.0-3.fc17,glade3-3.8.2-1.fc17,anjuta-3.4.0-2.fc17

Comment 4 Fedora Update System 2012-04-14 01:47:23 UTC
Package glade-3.12.0-3.fc17, glade3-3.8.2-1.fc17, anjuta-3.4.0-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glade-3.12.0-3.fc17 glade3-3.8.2-1.fc17 anjuta-3.4.0-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5887/glade-3.12.0-3.fc17,glade3-3.8.2-1.fc17,anjuta-3.4.0-2.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-04-18 23:06:51 UTC
glade-3.12.0-3.fc17, glade3-3.8.2-1.fc17, anjuta-3.4.0-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.